CREATE TABLE iex_score_data_point_histories (
    SCORE_DATA_POINT_HISTORY_ID    NUMBER(18, 0) ,
    SCORE_HISTORY_ID               NUMBER(18, 0) ,
    DATA_POINT_NUMBER              NUMBER(18, 0) ,
    SCORE_COMPONENT_ID             NUMBER(18, 0) ,
    SCORE_COMP_DET_ID              NUMBER(18, 0) ,
    DATA_POINT_VALUE               NUMBER        ,
    WEIGHTED_SCORE                 NUMBER        ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    ATTRIBUTE_CATEGORY             VARCHAR2(120) ,
    ATTRIBUTE1                     VARCHAR2(600) ,
    ATTRIBUTE2                     VARCHAR2(600) ,
    ATTRIBUTE3                     VARCHAR2(600) ,
    ATTRIBUTE4                     VARCHAR2(600) ,
    ATTRIBUTE5                     VARCHAR2(600) ,
    ATTRIBUTE6                     VARCHAR2(600) ,
    ATTRIBUTE7                     VARCHAR2(600) ,
    ATTRIBUTE8                     VARCHAR2(600) ,
    ATTRIBUTE9                     VARCHAR2(600) ,
    ATTRIBUTE10                    VARCHAR2(600) ,
    ATTRIBUTE11                    VARCHAR2(600) ,
    ATTRIBUTE12                    VARCHAR2(600) ,
    ATTRIBUTE13                    VARCHAR2(600) ,
    ATTRIBUTE14                    VARCHAR2(600) ,
    ATTRIBUTE15                    VARCHAR2(600) ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    SCORE_DATA_POINT_HISTORY_ID    NUMBER(18, 0) ,
    SCORE_HISTORY_ID               NUMBER(18, 0) ,
    SCORE_COMPONENT_ID             NUMBER(18, 0) ,
    SCORE_COMP_DET_ID              NUMBER(18, 0) ,
    DATA_POINT_VALUE               NUMBER        ,
    WEIGHTED_SCORE                 NUMBER        ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    ATTRIBUTE_CATEGORY             VARCHAR2(120) ,
    ATTRIBUTE1                     VARCHAR2(600) ,
    ATTRIBUTE2                     VARCHAR2(600) ,
    ATTRIBUTE3                     VARCHAR2(600) ,
    ATTRIBUTE4                     VARCHAR2(600) ,
    ATTRIBUTE5                     VARCHAR2(600) ,
    ATTRIBUTE6                     VARCHAR2(600) ,
    ATTRIBUTE7                     VARCHAR2(600) ,
    ATTRIBUTE8                     VARCHAR2(600) ,
    ATTRIBUTE9                     VARCHAR2(600) ,
    ATTRIBUTE10                    VARCHAR2(600) ,
    ATTRIBUTE11                    VARCHAR2(600) ,
    ATTRIBUTE12                    VARCHAR2(600) ,
    ATTRIBUTE13                    VARCHAR2(600) ,
    ATTRIBUTE14                    VARCHAR2(600) ,
    ATTRIBUTE15                    VARCHAR2(600) ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    DATA_POINT_NUMBER              NUMBER(18, 0) ,
    CONSTRAINT pk_iex_score_data_point_histories PRIMARY KEY (SCORE_DATA_POINT_HISTORY_ID, SCORE_DATA_POINT_HISTORY_ID)
);
